DEVICE_POWER_DOWN(9)

NAME
device_power_down - Shut down special devices.

SYNOPSIS

int device_power_down (pm_message_t state);

ARGUMENTS

state
    Power state to enter.

DESCRIPTION

Walk the dpm_off_irq list, calling ->power_down for each device that couldn't power down the device with interrupts enabled. When we're done, power down system devices.